Enqueue Export Activity Job¶
POST /bulk/v1/activities/export/{exportId}/enqueue.json
Method: POST
Path: /bulk/v1/activities/export/{exportId}/enqueue.json
Tag: Bulk Export Activities
Operation ID: enqueueExportActivitiesUsingPOST
Enqueue export job. This will place export job in queue, and will start the job when computing resources become available. The export job must be in "Created" state. Use Get Export Activity Job Status endpoint to retrieve status of export job. Required Permissions: Read-Only Activity
Formats¶
- Request:
application/json - Response:
application/json
Request¶
Path parameters¶
| Name | Type | Required | Description | Constraints |
|---|---|---|---|---|
exportId |
string | Yes | Id of export batch job. |
Example request¶
Responses¶
200 — OK¶
Schema: model: ResponseOfExportResponse
Generated example¶
{
"errors": [
{
"code": "string",
"message": "string"
}
],
"requestId": "123",
"result": [
{
"createdAt": "2026-01-15T10:30:00Z",
"errorMsg": "string",
"exportId": "123",
"fileSize": 123,
"fileChecksum": "string",
"finishedAt": "2026-01-15T10:30:00Z",
"format": "string",
"numberOfRecords": 123,
"queuedAt": "2026-01-15T10:30:00Z",
"startedAt": "2026-01-15T10:30:00Z",
"status": "string"
}
],
"success": false,
"warnings": [
{
"code": 123,
"message": "string"
}
]
}
Referenced models¶
Source¶
Generated from swagger-mapi.json.
Generated examples are inferred from the schema. They are illustrative and may not be valid production payloads.